<?xml version="1.0" encoding="utf-8"?>
<tp:taxonomyPackage xml:lang="en" xmlns:tp="http://xbrl.org/2016/taxonomy-package" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xbrl.org/2016/taxonomy-package http://www.xbrl.org/2016/taxonomy-package.xsd">
  <tp:identifier>http://www.totalenergies.com/xbrl/2025/</tp:identifier>
  <tp:name>TotalEnergies SE annual report for year 2025 based on ESEF Taxonomy 2024</tp:name>
  <tp:description>Taxonomy for ESEF reporting</tp:description>
  <tp:version>Final</tp:version>
  <tp:publisher>TotalEnergies SE</tp:publisher>
  <tp:publisherURL>http://www.totalenergies.com/</tp:publisherURL>
  <tp:publisherCountry>FR</tp:publisherCountry>
  <tp:publicationDate>2026-02-20</tp:publicationDate>
  <tp:entryPoints>
    <tp:entryPoint>
      <tp:name>TotalEnergies SE annual report for year 2025 based on ESEF Taxonomy 2024 entry point</tp:name>
      <tp:description>Entry point to be used to load annual report for year 2025 based on ESEF Taxonomy 2024 entry point</tp:description>
      <tp:entryPointDocument href="http://www.totalenergies.com/xbrl/2025/529900S21EQ1BO4ESM68-2025-12-31.xsd"/>
      <tp:languages>
        <tp:language>en</tp:language>
      </tp:languages>
    </tp:entryPoint>
  </tp:entryPoints>
</tp:taxonomyPackage>
